KABC::AddressBook::Iterator Class Reference

`#include <addressbook.h>`

## Public Member Functions

| Iterator (const Iterator &)
Iterator & | operator= (const Iterator &)
const Addressee & | operator* () const
Addressee & | operator* ()
Addressee * | operator-> ()
Iterator & | operator++ ()
Iterator & | operator++ (int)
Iterator & | operator-- ()
Iterator & | operator-- (int)
bool | operator== (const Iterator &it)
bool | operator!= (const Iterator &it)

## Public Attributes

IteratorData * | d

## Detailed Description

Address Book Iterator.

This class provides an iterator for address book entries.

Definition at line 57 of file addressbook.h.

The documentation for this class was generated from the following files:

- addressbook.h
- addressbook.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys